Bug 827812 - Touchpad is broken after updating nouveau
Touchpad is broken after updating nouveau
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
All Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 03:02 EDT by Artyom Kunyov
Modified: 2012-10-07 22:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-02 07:05:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artyom Kunyov 2012-06-03 03:02:21 EDT
Description of problem:

After updating nouveau today, Synaptics settings in GNOME Control Center are not available anymore. Touchpad works fine except scrolling. I'm using Dell XPS M1530 with GeForce 8600M. After downgrading the package, it works fine again and "Touchpad" tab in GNOME Settings is available.

Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau-0.0.16-35.20120306gitf5d1cd2.fc17

Steps to Reproduce:

Just install the update and go to system settings in GNOME.

Actual results:

There is no "Touchpad" tab in settings. Vertical and horizontal scrolling doesn't work.

Sorry for my English.
Comment 1 Peter Hutterer 2012-06-03 22:54:26 EDT
can I have an Xorg.log before and after please? thanks.
Comment 2 Peter Hutterer 2012-10-07 22:25:27 EDT
Artyom, thanks for closing the bug, please provide more info next time though (e.g. what package fixed the issue).

Either way, in this case it's most likely the touchpad has not yet been recognised by the kernel and a new kernel changed that.

Note You need to log in before you can comment on or make changes to this bug.